Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class CrossTabInfo

    java.lang.Object
      jet.api.CrossTabInfo

    public class CrossTabInfo

extends java.lang.Object

Constructor Summary
`CrossTabInfo(java.lang.String dataSetName, java.util.Vector clmFldInfos, java.util.Vector rowFldInfos, java.util.Vector smrFldInfos, int boundary, boolean isHorizontal)`

Method Summary
`boolean` | `addColumnFldInfo(CTRowColFieldInfo o)`
`void` | `addColumnFldInfo(int index, CTRowColFieldInfo element)`
`boolean` | `addRowFldInfo(CTRowColFieldInfo o)`
`void` | `addRowFldInfo(int index, CTRowColFieldInfo element)`
`boolean` | `addSummaryFldInfo(CTAggFieldInfo o)`
`void` | `addSummaryFldInfo(int index, CTAggFieldInfo[] element)`
`void` | `clearColumnFldInfos()`
`void` | `clearRowFldInfos()`
`void` | `clearsmrFldInfos()`
`int` | `getBoundary()`
`CTRowColFieldInfo` | `getColumnFldInfo(int index)`
`java.util.Vector` | `getColumnFldInfos()`
`java.lang.String` | `getDataSet()`
`double` | `getHeight()`
`CTRowColFieldInfo` | `getRowFldInfo(int index)`
`java.util.Vector` | `getRowFldInfos()`
`CTAggFieldInfo` | `getSummaryFldInfo(int index)`
`java.util.Vector` | `getSummaryFldInfos()`
`double` | `getWidth()`
`boolean` | `isClearCurStyle()`
`boolean` | `isHorizontal()`
`boolean` | `isInheritDataSet()`
`boolean` | `isStyleInherit()`
`boolean` | `removeColumnFldInfo(CTRowColFieldInfo o)`
`CTRowColFieldInfo` | `removeColumnFldInfo(int index)`
`boolean` | `removeRowFldInfo(CTRowColFieldInfo o)`
`CTRowColFieldInfo` | `removeRowFldInfo(int index)`
`boolean` | `removeSummaryFldInfo(CTAggFieldInfo o)`
`CTAggFieldInfo` | `removeSummaryFldInfo(int index)`
`void` | `setBoundary(int boundary)`
`void` | `setClearCurStyle(boolean clearCurStyle)`
`void` | `setColumnFldInfos(java.util.Vector clmFldInfos)`
`void` | `setDataSet(java.lang.String dataSet)`
`void` | `setHeight(double height)`
`void` | `setHorizontal(boolean isHorizontal)`
`void` | `setInheritDataSet(boolean isInheritDataSet)`
`void` | `setRowFldInfos(java.util.Vector RowFldInfos)`
`void` | `setsmrFldInfos(java.util.Vector smrFldInfos)`
`void` | `setStyleInherit(boolean styleInherit)`
`void` | `setWidth(double width)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrossTabInfo

    public CrossTabInfo(java.lang.String dataSetName,
                        java.util.Vector clmFldInfos,
                        java.util.Vector rowFldInfos,
                        java.util.Vector smrFldInfos,
                        int boundary,
                        boolean isHorizontal)

Method Detail

### getDataSet

    public java.lang.String getDataSet()

### setDataSet

    public void setDataSet(java.lang.String dataSet)

### getColumnFldInfos

    public java.util.Vector getColumnFldInfos()

### setColumnFldInfos

    public void setColumnFldInfos(java.util.Vector clmFldInfos)

### addColumnFldInfo

    public void addColumnFldInfo(int index,
                                 CTRowColFieldInfo element)

### addColumnFldInfo

    public boolean addColumnFldInfo(CTRowColFieldInfo o)

### clearColumnFldInfos

    public void clearColumnFldInfos()

### getColumnFldInfo

    public CTRowColFieldInfo getColumnFldInfo(int index)

### removeColumnFldInfo

    public CTRowColFieldInfo removeColumnFldInfo(int index)

### removeColumnFldInfo

    public boolean removeColumnFldInfo(CTRowColFieldInfo o)

### getSummaryFldInfos

    public java.util.Vector getSummaryFldInfos()

### setsmrFldInfos

    public void setsmrFldInfos(java.util.Vector smrFldInfos)

### addSummaryFldInfo

    public void addSummaryFldInfo(int index,
                                  CTAggFieldInfo[] element)

### addSummaryFldInfo

    public boolean addSummaryFldInfo(CTAggFieldInfo o)

### clearsmrFldInfos

    public void clearsmrFldInfos()

### getSummaryFldInfo

    public CTAggFieldInfo getSummaryFldInfo(int index)

### removeSummaryFldInfo

    public CTAggFieldInfo removeSummaryFldInfo(int index)

### removeSummaryFldInfo

    public boolean removeSummaryFldInfo(CTAggFieldInfo o)

### getRowFldInfos

    public java.util.Vector getRowFldInfos()

### setRowFldInfos

    public void setRowFldInfos(java.util.Vector RowFldInfos)

### addRowFldInfo

    public void addRowFldInfo(int index,
                              CTRowColFieldInfo element)

### addRowFldInfo

    public boolean addRowFldInfo(CTRowColFieldInfo o)

### clearRowFldInfos

    public void clearRowFldInfos()

### getRowFldInfo

    public CTRowColFieldInfo getRowFldInfo(int index)

### removeRowFldInfo

    public CTRowColFieldInfo removeRowFldInfo(int index)

### removeRowFldInfo

    public boolean removeRowFldInfo(CTRowColFieldInfo o)

### getBoundary

    public int getBoundary()

### setBoundary

    public void setBoundary(int boundary)

### isHorizontal

    public boolean isHorizontal()

### setHorizontal

    public void setHorizontal(boolean isHorizontal)

### getHeight

    public double getHeight()

### setHeight

    public void setHeight(double height)

### getWidth

    public double getWidth()

### setWidth

    public void setWidth(double width)

### isInheritDataSet

    public boolean isInheritDataSet()

### setInheritDataSet

    public void setInheritDataSet(boolean isInheritDataSet)

### isStyleInherit

    public boolean isStyleInherit()

### setStyleInherit

    public void setStyleInherit(boolean styleInherit)

### isClearCurStyle

    public boolean isClearCurStyle()

### setClearCurStyle

    public void setClearCurStyle(boolean clearCurStyle)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD